class InvoiceInfo {
  String date;
  String memberNo;
  String dateRange;
  String deadAllowance;
  String allowance;
  String deadDebtAllowance;
  String debtAllowance;
  String isDeadDebtAllowance3M;
  String deadForwardAllowance;
  String forwardAllowance;
  String month;
  String year;
  String fixDate;
  String total;
  String totalText;

  InvoiceInfo(
      {this.date,
      this.memberNo,
      this.dateRange,
      this.isDeadDebtAllowance3M,
      this.deadAllowance,
      this.allowance,
      this.deadDebtAllowance,
      this.deadForwardAllowance,
      this.forwardAllowance,
      this.debtAllowance,
      this.month,
      this.year,
      this.fixDate,
      this.total,
      this.totalText});

  InvoiceInfo.fromJson(Map<String, dynamic> json)
      : date = json['InvoiceDate'],
        memberNo = json['MemberNo'],
        dateRange = json['DateRange'],
        isDeadDebtAllowance3M = json['isDeadDebtAllowance3M'],
        deadAllowance = "${json['DeadAllowance']}",
        allowance = "${json['Allowance']}",
        deadDebtAllowance = "${json['DeadDebtAllowance']}",
        debtAllowance = "${json['DebtAllowance']}",
        deadForwardAllowance = "${json['DeadForwardAllowance']}",
        forwardAllowance = "${json['ForwardAllowance']}",
        month = "${json['month']}",
        year = "${json['year']}",
        fixDate = "${json['fixDate']}",
        total = "${json['Total']}",
        totalText = json['TotalThai'];

  Map<String, dynamic> toJson() => {
        'InvoiceDate': date,
        'DateRange': dateRange,
        'MemberNo': memberNo,
        'isDeadDebtAllowance3M': isDeadDebtAllowance3M,
        'DeadAllowance': deadAllowance,
        'Allowance': allowance,
        'DeadDebtAllowance': deadDebtAllowance,
        'DebtAllowance': debtAllowance,
        'DeadForwardAllowance': deadForwardAllowance,
        'ForwardAllowance': forwardAllowance,
        'month': month,
        'year': year,
        'fixDate': fixDate,
        'Total': total,
        'TotalThai': totalText
      };
}
