import 'package:flutter/material.dart';
import 'package:pea_cremation/domain/model/user.dart';
import 'package:pea_cremation/domain/service/user_service.dart';

class LandingPageViewModel extends ChangeNotifier {
  UserService userService = UserService();

  final List<String> imageList = [
    "assets/slide01.jpg",
    "assets/slide02.jpg",
    "assets/slide03.jpg",
    "assets/slide04.jpg"
  ];

  Future<User> verifyToken() {
    return userService.verifyToken();
  }
}