import 'package:flutter/material.dart';
import 'package:pea_cremation/domain/model/invoice_info.dart';
import 'package:pea_cremation/domain/model/user.dart';
import 'package:pea_cremation/domain/service/base_service.dart';
import 'package:pea_cremation/domain/service/payment_service.dart';

class PaymentPageViewModel extends ChangeNotifier {

  BaseService baseService = BaseService();
  PaymentService paymentService = PaymentService();

  Future<User> user;
  String memberType;

  Future<User> getUser() {
    user = baseService.loadUser();

    return user;
  }

  Future<InvoiceInfo> getCurrentInvoice() {
    return paymentService.getCurrentInvoice();
  }
}