class News {
  String id;
  String informationCode;
  String displayDate;
  String detail;
  String externalUrl;
  String coverImage;
  String status;
  String createdBy;

  News(
      {this.id,
      this.informationCode,
      this.displayDate,
      this.detail,
      this.externalUrl,
      this.coverImage,
      this.createdBy,
      this.status});

  News.fromJson(Map<String, dynamic> json)
      : id = json['id'],
        informationCode = json['information_code'],
        displayDate = json['display_date'],
        detail = json['detail'],
        externalUrl = json['external_url'],
        coverImage = json['cover_image'],
        status = json['status'],
        createdBy = json['created_by'];

  Map<String, dynamic> toJson() => {
        'id': id,
        'information_code': informationCode,
        'display_date': displayDate,
        'detail': detail,
        'external_url': externalUrl,
        'cover_image': coverImage,
        'status': status,
        'created_by': createdBy
      };
}
