class ReceiptInfo {
  String date;
  String memberNo;
  String memberName;
  String receiptNo;
  String receiptDateFull;
  String dateRange;
  String deadAllowance;
  String allowance;
  String deadDebtAllowance;
  String debtAllowance;
  String deadForwardAllowance;
  String forwardAllowance;
  String isDeadDebtAllowance3M;
  String total;
  String totalText;
  
  ReceiptInfo({this.date, this.memberNo, this.memberName, this.receiptNo, this.receiptDateFull, this.dateRange, this.isDeadDebtAllowance3M, this.deadAllowance, this.allowance, this.deadDebtAllowance, this.debtAllowance, this.deadForwardAllowance, this.forwardAllowance, this.total, this.totalText});

  ReceiptInfo.fromJson(Map<String, dynamic> json)
      : date = json['ReceiptDate'],
        memberNo = json['MemberNo'],
        memberName = json['MemberName'],
        receiptNo = json['ReceiptNo'],
        receiptDateFull = json['ReceiptDateFull'],
        dateRange = json['DateRange'],
        isDeadDebtAllowance3M = json['isDeadDebtAllowance3M'],
        deadAllowance = "${json['DeadAllowance']}",
        allowance = "${json['Allowance']}",
        deadDebtAllowance = "${json['DeadDebtAllowance']}",
        debtAllowance = "${json['DebtAllowance']}",
        deadForwardAllowance = "${json['DeadForwardAllowance']}",
        forwardAllowance = "${json['ForwardAllowance']}",
        total = "${json['Total']}",
        totalText = json['TotalThai'];


  Map<String, dynamic> toJson() => {
    'ReceiptDate': date,
    'DateRange': dateRange,
    'MemberNo': memberNo,
    'MemberName': memberName,
    'ReceiptNo' : receiptNo,
    'ReceiptDateFull' : receiptDateFull,
    'isDeadDebtAllowance3M': isDeadDebtAllowance3M,
    'DeadAllowance': deadAllowance,
    'Allowance': allowance,
    'DeadDebtAllowance': deadDebtAllowance,
    'DebtAllowance': debtAllowance,
    'DeadForwardAllowance': deadForwardAllowance,
    'ForwardAllowance': forwardAllowance,
    'Total': total,
    'TotalThai': totalText
  };
}