import 'package:flutter/material.dart';

bool invalidIdCard(String idCard) {
  if (idCard == null || idCard.length != 13 || int.tryParse(idCard) == null) {
    return true;
  }
  var i = 0;
  var sum = 0;

  for (i = 0; i < 12; i++) {
    sum += int.parse(idCard.characters.characterAt(i).string) * (13 - i);
  }

  var check = (11 - sum % 11) % 10;

  return check != int.parse(idCard.characters.characterAt(12).string);
}