Map<int, String> monthMap = {
  99: 'ทั้งหมด',
  1: 'มกราคม',
  2: 'กุมภาพันธ์',
  3: 'มีนาคม',
  4: 'เมษายน',
  5: 'พฤษภาคม',
  6: 'มิถุนายน',
  7: 'กรกฎาคม',
  8: 'สิงหาคม',
  9: 'กันยายน',
  10: 'ตุลาคม',
  11: 'พฤศจิกายน',
  12: 'ธันวาคม'
};

String getDisplayPayDate(String payDate) {
  String year = payDate.substring(0, 4);
  int month = int.parse(payDate.substring(4, 6));

  return '${monthMap[month]} $year';
}